### Function

# Cogl has_features

#### Declaration [src]

    gboolean
    cogl_has_features (
      CoglContext* context,
      ...
    )

#### Description [src]

Checks if a list of features are all currently available.

This checks all of the listed features using `cogl_has_feature()` and returns `TRUE` if all the features are available or `FALSE` otherwise.

This function is not directly available to language bindings.

#### Parameters

`context`

  Type: `CoglContext`

  A `CoglContext` pointer.

  The data is owned by the caller of the function.

`...`

  Type: ``

  A 0 terminated list of `CoglFeatureID`s.

#### Return value

Type: `gboolean`

`TRUE` if all the features are available, `FALSE` otherwise.